clear
format short e;
global r2d d2r 
d2r = pi/180;
r2d = 180/pi;

% A basic algorithm to automatically compute the gait
% period by means of computing the Euclidean distance
% between gait points in the configuration space.

% For more details, read
% Segmentation of biomechanical signals by joint-space 
%		distance criterion
% A. Goswami
% 17th Congress of the International Society of Biomechanics 
% 	(ISB), Calgary, Canada, August 1999 

% Other files necessary to run this:
%	try.m
%	dist.m

	// Code By: Ambarish Goswami
	// INRIA Rhone-Alpes, Grenoble, France
	// Copyright: 1997-1998

%segs = ['a1'; 'a2'; 'd1'; 'd2'; 'h1'; 'h2'; 'h3'; 'h4'; 'kn';...
%	'm1'; 'm2'; 'ne'; 'pe'];
% suspects: 1, 3, 4, 

segs = ['h1'; 'kn'; 'a2'; 'h3'; 'h4'; 'h2'; 'm1'; 'm2'; 'ne'; 'pe'];

dirs = ['d'; 'u'];
fname2 = ['A'; 'B'];
dd = 0;
fname1 = ['fx_',dirs(1),'_00.'];
for j = 1 : 10
	eval(['load ', [fname1,segs(j,:),fname2(1)]]);
	current = eval(['fx_',dirs(1),'_00']);
	mat(:,j) = current;
%	clear current
end % j
%% To calculate the distance between two points in the 
%% min(size(mat))-dimensional space. The number of points in
%% this space is max(size(mat)).

max(size(mat));
ii = 0;
%for i = 1 : 10 : max(size(mat))
 for i = 1 : 1 : max(size(mat))
	ii = ii + 1;
	jj = 0;
%	for j = 1 : 1 : max(size(mat))
	for j = 1 : 10 : max(size(mat))
		jj = jj + 1;
		[distance] = dist(i,j, mat);
		length(ii,jj) = distance;
	end % j
end % i

%sampling_step =  5.0000e-03;

length2 = ((length./25).^2);
plot(length2(:,15));
%fourier= fft(length2(2,:));
%fourier_power = (real(fourier)).^2 + (imag(fourier)).^2;
%signal_length = max(size(length2(1,:)));
%k = 0 : signal_length - 1;
%k = k/(sampling_step*signal_length);
%plot(k(1:15), fourier_power(1:15))
%plot(k, fourier_power)

%save 'length' length -ascii

%plot(length(i + 4 : max(size(mat))));
%plot(mat(:,5), mat(:,2))
%axis([-30 60 -95 15]);
%axis('equal','square');
%grid
%print 'dist_plot' -depsc
